/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: error.cpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "error.hpp"


using namespace std;

namespace io{

  Error::Error():_values(0){}
  
  Error::Error(vector<Typed_value>& __values):_values(__values){}
  
  Error::Error(const Typed_value& _value):_values(1,_value){}

  Error::~Error(){}

  vector<Typed_value> & Error::values(){return _values;}

  void Error::add(const Typed_value& _value){
    _values.push_back(_value);
  }
  

}
