(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: monitor.mli,v 1.6 2014/05/06 12:56:21 fclement Exp $ *)

open Refinement_types;;

val interruption : unit -> unit;;

type 'a sub_zone_report = zone_number * Upervasives.length * 'a;;
type 'a zone_splitting_report =
  zone_number * 'a sub_zone_report * 'a sub_zone_report
;;

val print_zone_splitting_report :
  ('a, 'a zone_splitting_report) Format_printer.printer_lifter
;;

val print_iteration_report :
  ('a, Unatural.t * 'a) Format_printer.printer_lifter
;;

val total_allocated_memory : unit -> float * string;;
