(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: options.mli,v 1.23 2014/06/10 15:08:34 fclement Exp $ *)

open Options_types;;

(** {6 Algorithm configuration} *)

val get_option_external_program_command :
  unit -> option_external_program_command
;;

val phase_dimension : Ucommand_option.phase_name;;
val get_option_dimension : unit -> option_dimension;;

val get_option_dimension_management : unit -> option_dimension_management;;

val get_option_cutting_strategy : unit -> option_cutting_strategy;;
val get_option_number_of_cuts : unit -> option_number_of_cuts;;
val get_option_basic_cutting_families : unit -> option_basic_cutting_families;;

val get_option_candidate_cuttings_selection_criterion_ratio :
  unit -> option_candidate_cuttings_selection_criterion_ratio
;;
val get_option_candidate_cuttings_selection_criterion_maximum_number :
  unit -> option_candidate_cuttings_selection_criterion_maximum_number
;;

val get_option_minimum_gradient : unit -> option_minimum_gradient;;

val get_option_max_iteration : unit -> option_max_iteration;;
val get_option_min_best_scalar_indicator :
  unit -> option_min_best_scalar_indicator
;;
val get_option_min_scalar_relative_error :
  unit -> option_min_scalar_relative_error
;;

(** {6 Program configuration} *)

val get_option_out_formatter : unit -> option_out_formatter;;

val get_option_report_allocated_memory :
  unit -> option_report_allocated_memory
;;

val get_option_incremental_mode : unit -> option_incremental_mode;;

val get_option_graphics_mode : unit -> option_graphics_mode;;

val get_option_graphics_window_min_width :
  unit -> option_graphics_window_min_width
;;
val get_option_graphics_window_max_width :
  unit -> option_graphics_window_max_width
;;
val get_option_graphics_window_min_height :
  unit -> option_graphics_window_min_height
;;
val get_option_graphics_window_max_height :
  unit -> option_graphics_window_max_height
;;

val get_option_graphics_parameter_color_scale_name :
  unit -> option_graphics_color_scale_name
;;

val get_option_graphics_min_parameter :
  unit -> option_graphics_min_parameter
;;

val get_option_graphics_max_parameter :
  unit -> option_graphics_max_parameter
;;

val get_option_graphics_gradient_color_scale_name :
  unit -> option_graphics_color_scale_name
;;

val get_option_graphics_gradient_amplitude :
  unit -> option_graphics_gradient_amplitude
;;

(** {6 Report/debug flags and warning/error messages} *)

val printing_facilities : Udebug.printing_facilities;;
