CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: simu.f,v 1.6 2014/05/12 14:43:23 fclement Exp $

      subroutine simu(ndS, ndT, S, T, cout)
      
      implicit integer (z)
      implicit real*8 (t,f,d)
      
      integer OUTPUT_UNIT
      parameter(OUTPUT_UNIT=18)
      
      include 'common.fh'
      
C     Input arguments.
      integer ndS, ndT
      real*8 S(ndS), T(ndT)
      
C     Output argument.
      real*8 cout
      
C     Local variable.
      integer n1, n, j, i
      integer nbequation
      
C      do i = 1, ndS
C         write(OUTPUT_UNIT, *) 'S(', i, ') = ', S(i)
C      enddo
C      do i = 1, ndT
C         write(OUTPUT_UNIT, *) 'T(', i, ') = ', T(i)
C      enddo
c     
c     CONDITION INITIALE
      n1 = 1
c     *********************************************************
c     Le schema est explicite
c     *********************************************************
c     Calcul des traces de phi
      n = 2*n1-1
      j = 1
c     C.L. sur gamma1 bas
      do   i   =   (j-1)*nx+1   ,   j*nx   ,   1
         u(i,n) = tf0(i)
      enddo
c     .......................
c     C.L. sur gamma2
      i = nx*(ny+1)+(j-1)*nx+1
      u(i,n) = tf0(i)
c     .......................
c     arete verticale interieure
      do   i   =   nx*(ny+1)+(j-1)*nx+2   ,   nx*(ny+1)+(j-1)*nx+nx
         u(i,n) = tf0(i)
      enddo
c     ---------------------------------------------------------
      do   j   =   2   ,   ny   ,   1
c     arete horizontale interieure
         do   i   =   (j-1)*nx+1   ,   j*nx   ,   1
            u(i,n) = tf0(i)
         enddo
c     .......................
c     C.L. sur gamma2
         i = nx*(ny+1)+(j-1)*nx+1
         u(i,n) = tf0(i)
c     .......................
c     arete verticale interieure
         do   i   =   nx*(ny+1)+(j-1)*nx+2   ,   nx*(ny+1)+j*nx   ,   1
            u(i,n) = tf0(i)
         enddo
      enddo
c     ---------------------------------------------------------
      j = ny+1
c     C.L. sur gamma1 haut
      do   i   =   (j-1)*nx+1   ,   j*nx   ,   1
         u(i,n) = tf0(i)
      enddo
c     *********************************************************
c     Le schema est explicite
c     *********************************************************
c     Calcul de phi
      n = 2*n1
      do   j   =   1   ,   ny   ,   1
         do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
            u(i,n) = f0(i)
         enddo
c     .......................
         i = j*nx
         u(i,n) = f0(i)
      enddo
c      write(OUTPUT_UNIT,*)'avant calcul'
c
c     EQUATION GENERALE
      do   n1   =   2   ,   nt   ,   1
c     *********************************************************
c     Le schema est lineaire implicite
c     *********************************************************
c     calcul des traces de phi
         n = 2*n1-1
         j = 1
c     C.L. sur gamma1 bas sans toucher gamma3
c         write(OUTPUT_UNIT,*) 'C.L. sur gamma1 bas sans '
         do   i   =   (j-1)*nx+1   ,   j*nx-1   ,   1
            t1 = falphaa(i,3)
            t2 = fT(ndT,T,i)
            t8 = falphak(i)
            t12 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)*t1
            t20 = t2*t8
            zt24 = n-2
            zt36 = nx*(ny+1)
            ssmbz(i) = -(
     &           t1*t2*fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)*u(i,n-1)*t8
     &           +t12*sigma*q(i,n1-1)+t12*theta*q(i,n1)
     &           +t20*fnu(ndS,S,ndT,T,i,3,4,dt,dx,dy,theta)
     &           *sigma*u(i+nx,zt24)
     &           +t20*fnu(ndS,S,ndT,T,i,3,3,dt,dx,dy,theta)
     &           *sigma*u(i,zt24)
     &           +t20*fnu(ndS,S,ndT,T,i,3,1,dt,dx,dy,theta)
     &           *sigma*u(zt36+i,zt24)
     &           +t20*fnu(ndS,S,ndT,T,i,3,2,dt,dx,dy,theta)
     &           *sigma*u(zt36+i+1,zt24)
     &           -f1b(i)*t8)/t8
         enddo
c      write(OUTPUT_UNIT,*)'avant calcul gamma1'
c     .......................
c     C.L. sur gamma1 bas en touchant gamma3
c         write(OUTPUT_UNIT,*) 'C.L. sur gamma1 bas en'
         i = j*nx
         t1 = falphaa(i,3)
         t2 = fT(ndT,T,i)
         t8 = falphak(i)
         t12 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)*t1
         t20 = t2*t8
         zt24 = n-2
         ssmbz(i) = -(
     &        t1*t2*fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)*u(i,n-1)*t8
     &        +t12*sigma*q(i,n1-1)+t12*theta*q(i,n1)
     &        +t20*fnu(ndS,S,ndT,T,i,3,4,dt,dx,dy,theta)
     &        *sigma*u(i+nx,zt24)
     &        +t20*fnu(ndS,S,ndT,T,i,3,3,dt,dx,dy,theta)
     &        *sigma*u(i,zt24)
     &        +t20*fnu(ndS,S,ndT,T,i,3,1,dt,dx,dy,theta)
     &        *sigma*u(nx*(ny+1)+i,zt24)
     &        -f1b(i)*t8)/t8
c     .......................
c     C.L. sur gamma2
c         write(OUTPUT_UNIT,*) 'C.L. sur gamma2'
         i = nx*(ny+1)+(j-1)*nx+1
         ssmbz(i) = f2(j)
c     .......................
c     arete verticale interieure sans atteindre gamma3
c         write(OUTPUT_UNIT,*) 'arete verticale interieure sans atteindre gamma3'
         do   i   =   nx*(ny+1)+(j-1)*nx+2   ,   nx*(ny+1)+j*nx-1
            zt1 = nx*ny
            zt2 = i-zt1-nx-1
            t4 = falphaa(zt2,2)
            t5 = fbeta(ndS,S,ndT,T,zt2,dt,dx,dy,theta)*t4
            zt6 = i-zt1-nx
            t7 = falphak(zt6)
            zt10 = nx*(ny+1)
            zt11 = i-zt10-1
            zt12 = n1-1
            t20 = falphaa(zt6,1)
            t21 = fT(ndT,T,zt6)
            zt25 = i-zt10
            zt26 = n-1
            t28 = falphak(zt2)
            t32 = fT(ndT,T,zt2)
            t41 = t21*t28*t7
            zt45 = n-2
            t51 = u(i,zt45)
            t55 = t32*t28*t7
            t84 = fbeta(ndS,S,ndT,T,zt6,dt,dx,dy,theta)*t20
            t98 = 
     &           t5*t7*sigma*q(zt11,zt12)+t5*t7*theta*q(zt11,n1)
     &           +t20*t21*fgamma(ndS,S,ndT,T,zt6,dt,dx,dy,theta)
     &           *u(zt25,zt26)*t28*t7
     &           +t4*t32*fgamma(ndS,S,ndT,T,zt2,dt,dx,dy,theta)
     &           *u(zt11,zt26)*t28*t7
     &           +t41*fnu(ndS,S,ndT,T,zt6,1,2,dt,dx,dy,theta)
     &           *sigma*u(i+1,zt45)
     &           +t41*fnu(ndS,S,ndT,T,zt6,1,1,dt,dx,dy,theta)
     &           *sigma*t51
     &           +t55*fnu(ndS,S,ndT,T,zt2,2,2,dt,dx,dy,theta)
     &           *sigma*t51
     &           +t41*fnu(ndS,S,ndT,T,zt6,1,4,dt,dx,dy,theta)
     &           *sigma*u(i-zt1,zt45)
     &           +t55*fnu(ndS,S,ndT,T,zt2,2,1,dt,dx,dy,theta)
     &           *sigma*u(i-1,zt45)
     &           +t55*fnu(ndS,S,ndT,T,zt2,2,3,dt,dx,dy,theta)
     &           *sigma*u(zt11,zt45)
     &           +t55*fnu(ndS,S,ndT,T,zt2,2,4,dt,dx,dy,theta)
     &           *sigma*u(i-zt1-1,zt45)
     &           +t84*t28*theta*q(zt25,n1)+t84*t28*sigma*q(zt25,zt12)
     &           +t41*fnu(ndS,S,ndT,T,zt6,1,3,dt,dx,dy,theta)
     &           *sigma*u(zt25,zt45)
            ssmbz(i) = -t98/t28/t7
         enddo
c      write(OUTPUT_UNIT,*)'avant calcul gamma3'
c     .......................
c     arete verticale interieure qui touche gamma3
c         write(OUTPUT_UNIT,*) 'arete verticale interieure qui touche gamma3'
         i = nx*(ny+1)+j*nx
         zt1 = nx*ny
         zt2 = i-zt1-nx-1
c         write(OUTPUT_UNIT,*) 'zt2 = ',zt2
         t4 = falphaa(zt2,2)
         t5 = fbeta(ndS,S,ndT,T,zt2,dt,dx,dy,theta)*t4
         zt6 = i-zt1-nx
c         write(OUTPUT_UNIT,*) 'zt6 = ',zt6
         t7 = falphak(zt6)
         zt10 = nx*(ny+1)
         zt11 = i-zt10-1
c         write(OUTPUT_UNIT,*) 'zt11 = ',zt11
         zt12 = n1-1
         t20 = falphaa(zt6,1)
         t21 = fT(ndT,T,zt6)
         zt25 = i-zt10
c         write(OUTPUT_UNIT,*) 'zt25 = ',zt25
         zt26 = n-1
         t28 = falphak(zt2)
         t32 = fT(ndT,T,zt2)
         t41 = t21*t28*t7
         zt44 = n-2
         t45 = u(i,zt44)
         t49 = t32*t28*t7
         t78 = fbeta(ndS,S,ndT,T,zt6,dt,dx,dy,theta)*t20
         t92 = 
     &        t5*t7*sigma*q(zt11,zt12)+t5*t7*theta*q(zt11,n1)
     &        +t20*t21*fgamma(ndS,S,ndT,T,zt6,dt,dx,dy,theta)
     &        *u(zt25,zt26)*t28*t7
     &        +t4*t32*fgamma(ndS,S,ndT,T,zt2,dt,dx,dy,theta)
     &        *u(zt11,zt26)*t28*t7
     &        +t41*fnu(ndS,S,ndT,T,zt6,1,1,dt,dx,dy,theta)
     &        *sigma*t45
     &        +t49*fnu(ndS,S,ndT,T,zt2,2,2,dt,dx,dy,theta)
     &        *sigma*t45
     &        +t41*fnu(ndS,S,ndT,T,zt6,1,4,dt,dx,dy,theta)
     &        *sigma*u(i-zt1,zt44)
     &        +t49*fnu(ndS,S,ndT,T,zt2,2,1,dt,dx,dy,theta)
     &        *sigma*u(i-1,zt44)
     &        +t49*fnu(ndS,S,ndT,T,zt2,2,3,dt,dx,dy,theta)
     &        *sigma*u(zt11,zt44)
     &        +t49*fnu(ndS,S,ndT,T,zt2,2,4,dt,dx,dy,theta)
     &        *sigma*u(i-zt1-1,zt44)
     &        +t78*t28*theta*q(zt25,n1)+t78*t28*sigma*q(zt25,zt12)
     &        +t41*fnu(ndS,S,ndT,T,zt6,1,3,dt,dx,dy,theta)
     &        *sigma*u(zt25,zt44)
         ssmbz(i) = -t92/t28/t7
c     ---------------------------------------------------------
         do   j   =   2   ,   ny   ,   1
c     arete horizontale sans atteindre gamma3
c         write(OUTPUT_UNIT,*) 'arete horizontale sans atteindre gamma3'
            do   i   =   (j-1)*nx+1   ,   j*nx-1   ,   1
               t1 = fT(ndT,T,i)
               zt2 = i-nx
               t3 = falphak(zt2)
               t5 = falphak(i)
               t6 = t1*t3*t5
               zt10 = nx*(ny+1)
               zt12 = n-2
               t30 = u(i,zt12)
               t33 = fT(ndT,T,zt2)
               t35 = t33*t3*t5
               zt38 = nx*ny
               t59 = falphaa(zt2,4)
               t60 = fbeta(ndS,S,ndT,T,zt2,dt,dx,dy,theta)*t59
               zt62 = n1-1
               t71 = falphaa(i,3)
               t72 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)*t71
               zt84 = n-1
               t96 = 
     &              t6*fnu(ndS,S,ndT,T,i,3,1,dt,dx,dy,theta)
     &              *sigma*u(zt10+i,zt12)
     &              +t6*fnu(ndS,S,ndT,T,i,3,2,dt,dx,dy,theta)
     &              *sigma*u(zt10+i+1,zt12)
     &              +t6*fnu(ndS,S,ndT,T,i,3,4,dt,dx,dy,theta)
     &              *sigma*u(i+nx,zt12)
     &              +t6*fnu(ndS,S,ndT,T,i,3,3,dt,dx,dy,theta)
     &              *sigma*t30
     &              +t35*fnu(ndS,S,ndT,T,zt2,4,1,dt,dx,dy,theta)
     &              *sigma*u(zt38+i,zt12)
     &              +t35*fnu(ndS,S,ndT,T,zt2,4,2,dt,dx,dy,theta)
     &              *sigma*u(zt38+i+1,zt12)
     &              +t35*fnu(ndS,S,ndT,T,zt2,4,4,dt,dx,dy,theta)
     &              *sigma*t30
     &              +t35*fnu(ndS,S,ndT,T,zt2,4,3,dt,dx,dy,theta)
     &              *sigma*u(zt2,zt12)
     &              +t60*t5*sigma*q(zt2,zt62)+t60*t5*theta*q(zt2,n1)
     &              +t72*t3*sigma*q(i,zt62)+t72*t3*theta*q(i,n1)
     &              +t59*t33*fgamma(ndS,S,ndT,T,zt2,dt,dx,dy,theta)
     &              *u(zt2,zt84)*t3*t5
     &              +t71*t1*fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)
     &              *u(i,zt84)*t3*t5
               ssmbz(i) = -t96/t3/t5
            enddo
c     .......................
c     arete horizontale qui touche gamma3
c         write(OUTPUT_UNIT,*) 'arete horizontale qui touche gamma3'
            i = j*nx
            zt1 = i-nx
            t3 = falphaa(zt1,4)
            t4 = fbeta(ndS,S,ndT,T,zt1,dt,dx,dy,theta)*t3
            t5 = falphak(i)
            zt7 = n1-1
            t11 = falphaa(i,3)
            t12 = fT(ndT,T,i)
            zt16 = n-1
            t18 = falphak(zt1)
            t22 = fT(ndT,T,zt1)
            t31 = t12*t18*t5
            zt37 = n-2
            t43 = u(i,zt37)
            t53 = t22*t18*t5
            t71 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)*t11
            t84 = 
     &           t4*t5*sigma*q(zt1,zt7)
     &           +t11*t12*fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)
     &           *u(i,zt16)*t18*t5
     &           +t3*t22*fgamma(ndS,S,ndT,T,zt1,dt,dx,dy,theta)
     &           *u(zt1,zt16)*t18*t5
     &           +t31*fnu(ndS,S,ndT,T,i,3,1,dt,dx,dy,theta)
     &           *sigma*u(nx*(ny+1)+i,zt37)
     &           +t31*fnu(ndS,S,ndT,T,i,3,3,dt,dx,dy,theta)
     &           *sigma*t43
     &           +t31*fnu(ndS,S,ndT,T,i,3,4,dt,dx,dy,theta)
     &           *sigma*u(i+nx,zt37)
     &           +t53*fnu(ndS,S,ndT,T,zt1,4,1,dt,dx,dy,theta)
     &           *sigma*u(nx*ny+i,zt37)
     &           +t53*fnu(ndS,S,ndT,T,zt1,4,3,dt,dx,dy,theta)
     &           *sigma*u(zt1,zt37)
     &           +t53*fnu(ndS,S,ndT,T,zt1,4,4,dt,dx,dy,theta)
     &           *sigma*t43
     &           +t71*t18*theta*q(i,n1)+t71*t18*sigma*q(i,zt7)
     &           +t4*t5*theta*q(zt1,n1)
            ssmbz(i) = -t84/t18/t5
c     .......................
c     C.L. sur gamma2
c         write(OUTPUT_UNIT,*) 'C.L. sur gamma2'
            i = nx*(ny+1)+(j-1)*nx+1
            ssmbz(i) = f2(j)
c     .......................
c     arete verticale interieure sans toucher gamma3
c         write(OUTPUT_UNIT,*) 'arete verticale interieure sans toucher gamma3'
            do   i   =   nx*(ny+1)+(j-1)*nx+2   ,   nx*(ny+1)+j*nx-1
               zt1 = nx*ny
               zt2 = i-zt1-nx
               t3 = fT(ndT,T,zt2)
               zt4 = i-zt1-nx-1
               t5 = falphak(zt4)
               t7 = falphak(zt2)
               t8 = t3*t5*t7
               zt12 = n-2
               zt25 = nx*(ny+1)
               zt26 = i-zt25
               t32 = u(i,zt12)
               t35 = fT(ndT,T,zt4)
               t37 = t35*t5*t7
               t49 = falphaa(zt2,1)
               t50 = fbeta(ndS,S,ndT,T,zt2,dt,dx,dy,theta)*t49
               t62 = falphaa(zt4,2)
               t63 = fbeta(ndS,S,ndT,T,zt4,dt,dx,dy,theta)*t62
               zt65 = i-zt25-1
               zt70 = n1-1
               zt86 = n-1
               t98 = 
     &              t8*fnu(ndS,S,ndT,T,zt2,1,2,dt,dx,dy,theta)
     &              *sigma*u(i+1,zt12)
     &              +t8*fnu(ndS,S,ndT,T,zt2,1,4,dt,dx,dy,theta)
     &              *sigma*u(i-zt1,zt12)
     &              +t8*fnu(ndS,S,ndT,T,zt2,1,3,dt,dx,dy,theta)
     &              *sigma*u(zt26,zt12)
     &              +t8*fnu(ndS,S,ndT,T,zt2,1,1,dt,dx,dy,theta)
     &              *sigma*t32
     &              +t37*fnu(ndS,S,ndT,T,zt4,2,2,dt,dx,dy,theta)
     &              *sigma*t32
     &              +t37*fnu(ndS,S,ndT,T,zt4,2,1,dt,dx,dy,theta)
     &              *sigma*u(i-1,zt12)
     &              +t50*t5*theta*q(zt26,n1)
     &              +t37*fnu(ndS,S,ndT,T,zt4,2,4,dt,dx,dy,theta)
     &              *sigma*u(i-zt1-1,zt12)
     &              +t63*t7*theta*q(zt65,n1)+t63*t7*sigma*q(zt65,zt70)
     &              +t50*t5*sigma*q(zt26,zt70)
     &              +t37*fnu(ndS,S,ndT,T,zt4,2,3,dt,dx,dy,theta)
     &              *sigma*u(zt65,zt12)
     &              +t62*t35*fgamma(ndS,S,ndT,T,zt4,dt,dx,dy,theta)
     &              *u(zt65,zt86)*t5*t7
     &              +t49*t3*fgamma(ndS,S,ndT,T,zt2,dt,dx,dy,theta)
     &              *u(zt26,zt86)*t5*t7
               ssmbz(i) = -t98/t5/t7
            enddo
c     .......................
c     arete verticale interieure qui touche gamma3
c         write(OUTPUT_UNIT,*) 'arete verticale interieure qui touche gamma3'
            i = nx*(ny+1)+j*nx
            zt1 = nx*ny
            zt2 = i-zt1-nx
            t3 = fT(ndT,T,zt2)
            zt4 = i-zt1-nx-1
            t5 = falphak(zt4)
            t7 = falphak(zt2)
            t8 = t3*t5*t7
            zt11 = n-2
            t12 = u(i,zt11)
            t15 = fT(ndT,T,zt4)
            t17 = t15*t5*t7
            zt21 = nx*(ny+1)
            zt22 = i-zt21-1
            zt50 = i-zt21
            t55 = falphaa(zt4,2)
            t56 = fbeta(ndS,S,ndT,T,zt4,dt,dx,dy,theta)*t55
            zt58 = n1-1
            t67 = falphaa(zt2,1)
            t68 = fbeta(ndS,S,ndT,T,zt2,dt,dx,dy,theta)*t67
            zt80 = n-1
            t92 = 
     &           t8*fnu(ndS,S,ndT,T,zt2,1,1,dt,dx,dy,theta)
     &           *sigma*t12
     &           +t17*fnu(ndS,S,ndT,T,zt4,2,3,dt,dx,dy,theta)
     &           *sigma*u(zt22,zt11)
     &           +t17*fnu(ndS,S,ndT,T,zt4,2,1,dt,dx,dy,theta)
     &           *sigma*u(i-1,zt11)
     &           +t17*fnu(ndS,S,ndT,T,zt4,2,2,dt,dx,dy,theta)
     &           *sigma*t12
     &           +t17*fnu(ndS,S,ndT,T,zt4,2,4,dt,dx,dy,theta)
     &           *sigma*u(i-zt1-1,zt11)
     &           +t8*fnu(ndS,S,ndT,T,zt2,1,4,dt,dx,dy,theta)
     &           *sigma*u(i-zt1,zt11)
     &           +t8*fnu(ndS,S,ndT,T,zt2,1,3,dt,dx,dy,theta)
     &           *sigma*u(zt50,zt11)
     &           +t56*t7*sigma*q(zt22,zt58)+t56*t7*theta*q(zt22,n1)
     &           +t68*t5*sigma*q(zt50,zt58)+t68*t5*theta*q(zt50,n1)
     &           +t55*t15*fgamma(ndS,S,ndT,T,zt4,dt,dx,dy,theta)
     &           *u(zt22,zt80)*t5*t7
     &           +t67*t3*fgamma(ndS,S,ndT,T,zt2,dt,dx,dy,theta)
     &           *u(zt50,zt80)*t5*t7
            ssmbz(i) = -t92/t5/t7
         enddo
c     ---------------------------------------------------------
         j = ny+1
c     C.L. sur gamma1 haut sans toucher gamma3
c         write(OUTPUT_UNIT,*) 'C.L. sur gamma1 haut sans toucher gamma3'
         do   i   =   (j-1)*nx+1   ,   j*nx-1   ,   1
            zt1 = i-nx
            t2 = falphaa(zt1,4)
            t3 = fT(ndT,T,zt1)
            t9 = falphak(zt1)
            t13 = fbeta(ndS,S,ndT,T,zt1,dt,dx,dy,theta)*t2
            t21 = t3*t9
            zt24 = n-2
            zt35 = nx*ny
            ssmbz(i) = -(
     &           t2*t3*fgamma(ndS,S,ndT,T,zt1,dt,dx,dy,theta)
     &           *u(zt1,n-1)*t9
     &           +t13*sigma*q(zt1,n1-1)+t13*theta*q(zt1,n1)
     &           +t21*fnu(ndS,S,ndT,T,zt1,4,4,dt,dx,dy,theta)
     &           *sigma*u(i,zt24)
     &           +t21*fnu(ndS,S,ndT,T,zt1,4,3,dt,dx,dy,theta)
     &           *sigma*u(zt1,zt24)
     &           +t21*fnu(ndS,S,ndT,T,zt1,4,1,dt,dx,dy,theta)
     &           *sigma*u(zt35+i,zt24)
     &           +t21*fnu(ndS,S,ndT,T,zt1,4,2,dt,dx,dy,theta)
     &           *sigma*u(zt35+i+1,zt24)
     &           -f1h(i)*t9)/t9
         enddo
c     .......................
c     C.L. sur gamma1 haut qui touche gamma3
c         write(OUTPUT_UNIT,*) 'C.L. sur gamma1 haut qui touche gamma3'
         i = j*nx
         zt1 = i-nx
         t2 = falphaa(zt1,4)
         t3 = fT(ndT,T,zt1)
         t9 = falphak(zt1)
         t13 = fbeta(ndS,S,ndT,T,zt1,dt,dx,dy,theta)*t2
         t21 = t3*t9
         zt24 = n-2
         ssmbz(i) = -(
     &        t2*t3*fgamma(ndS,S,ndT,T,zt1,dt,dx,dy,theta)
     &        *u(zt1,n-1)*t9
     &        +t13*sigma*q(zt1,n1-1)+t13*theta*q(zt1,n1)
     &        +t21*fnu(ndS,S,ndT,T,zt1,4,4,dt,dx,dy,theta)
     &        *sigma*u(i,zt24)
     &        +t21*fnu(ndS,S,ndT,T,zt1,4,3,dt,dx,dy,theta)
     &        *sigma*u(zt1,zt24)
     &        +t21*fnu(ndS,S,ndT,T,zt1,4,1,dt,dx,dy,theta)
     &        *sigma*u(nx*ny+i,zt24)
     &        -f1h(i)*t9)/t9

c      write(OUTPUT_UNIT,*)'avant lapack'
c     *********************************************************
c     On utilise LAPACK pour resoudre le systeme lineaire
c     *********************************************************
c     RESOLUTION du SYSTEME LINEAIRE
         nbequation = nx*(ny+1)+nx*ny
         if (n.eq.3) then
            call rslnagd12(ndS,ndT,S,T,n,0,nbequation)
         else
            call rslnagd12(ndS,ndT,S,T,n,1,nbequation)
         endif
c       write(OUTPUT_UNIT,*)'apres lapack'
         do   i   =   1   ,   nszz   ,   1
            u(i,n) = vvzz(i)
         enddo
c     *********************************************************
c     Le schema est explicite
c     *********************************************************
c     calcul de phi
         n = 2*n1
         do   j   =   1   ,   ny   ,   1
c     elements qui ne touchent pas gamma3
            do   i   =   (j-1)*nx+1   ,   (j-1)*nx+nx-1   ,   1
               t8 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)/falphak(i)
               t9 = falphaa(i,4)
               zt11 = i+nx
               zt12 = n-3
               zt17 = n-1
               t21 = falphaa(i,3)
               t30 = falphaa(i,1)
               zt33 = nx*(ny+1)
               zt34 = zt33+i
               t42 = falphaa(i,2)
               zt44 = zt33+i+1
               t53 = 1/fT(ndT,T,i)
               u(i,n) = 
     &              fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)*u(i,n-2)
     &              +t8*t9*sigma*u(zt11,zt12)+t8*t9*theta*u(zt11,zt17)
     &              +t8*t21*sigma*u(i,zt12)+t8*t21*theta*u(i,zt17)
     &              +t8*t30*sigma*u(zt34,zt12)+t8*t30*theta*u(zt34,zt17)
     &              +t8*t42*sigma*u(zt44,zt12)+t8*t42*theta*u(zt44,zt17)
     &              +t8*t53*sigma*q(i,n1-1)+t8*t53*theta*q(i,n1)
            enddo
c     .......................
c     elements qui touchent gamma3
            i = j*nx
            t8 = fbeta(ndS,S,ndT,T,i,dt,dx,dy,theta)/falphak(i)
            t9 = falphaa(i,4)
            zt11 = i+nx
            zt12 = n-3
            zt17 = n-1
            t21 = falphaa(i,3)
            t30 = falphaa(i,1)
            zt34 = nx*(ny+1)+i
            t43 = 1/fT(ndT,T,i)
            u(i,n) = 
     &           fgamma(ndS,S,ndT,T,i,dt,dx,dy,theta)*u(i,n-2)
     &           +t8*t9*sigma*u(zt11,zt12)+t8*t9*theta*u(zt11,zt17)
     &           +t8*t21*sigma*u(i,zt12)+t8*t21*theta*u(i,zt17)
     &           +t8*t30*sigma*u(zt34,zt12)+t8*t30*theta*u(zt34,zt17)
     &           +t8*t43*sigma*q(i,n1-1)+t8*t43*theta*q(i,n1)
         enddo
      enddo
c     *********************************************************
c     On calcule la valeur du critere
c     *********************************************************
      tt10 = 0
      znorm = 0
      do   znnn0   =   1   ,   nt   ,   1
         tt8 = 0
         do   ziii1   =   1   ,   nx*ny   ,   1
            tt7 = (u(ziii1,2*znnn0)-z(ziii1,znnn0))**2
            znorm = znorm + z(ziii1,znnn0)**2
            tt8 = tt8+tt7
         enddo
         tt10 = tt10+tt8
      enddo
C      write(OUTPUT_UNIT, *) 'tt10 = ', tt10
C      write(OUTPUT_UNIT, *) 'znorm = ', znorm
      cout = tt10/znorm
      write(OUTPUT_UNIT, *) 'cout = ', cout
      return
      end
